commit fbbc605
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Nov 18 09:01:00 2015 -0800

    Revert: Free cf->edt before free cf->epan when redissecting.
    
    Instead of freeing cf->edt before clearing the packet list, add an extra
    check to MainWindow::setMenusForSelectedTreeRow. Semi-blind attempt at
    fixing bug 11719.
    
    This reverts commit 8c211d51ef66b64c708f7ad079e7e7e913ac9f14.
    This reverts commit da71ccbf778cca5d9c48e010597570a40fd190c0.
    
    Bug: 11719
    Change-Id: Ifd07be414ffd03a40bdfa7110395c9542bd86fc4
    Reviewed-on: https://code.wireshark.org/review/11943
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 3d3eb159a757c1b7f3abc0d2c81f8e38e206243b)
    Reviewed-on: https://code.wireshark.org/review/11953

commit 1f3e0c0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 18 11:39:57 2015 -0800

    Check for ECHILD, not for "not ECHILD".
    
    That makes the logic a bit clearer (and puts the "unexpected other
    error" case at the end, where it should be).
    
    Put all the errno checks inside an else clause, making it clearer that
    it runs only if waitpid() returned -1.
    
    Add comments, including comments explaining why just driving on after
    getting EINTR should be OK.
    
    Change-Id: Iaa1b151393fcec8b4f5bd560ef913a224400932b
    Reviewed-on: https://code.wireshark.org/review/11951
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bdea0d450476a077f64acbfe26e62251fcbb339d)
    Reviewed-on: https://code.wireshark.org/review/11952

commit c3ac3d0
Author: Stephan Kappertz <octopus.sk@googlemail.com>
Date:   Wed Nov 18 12:13:08 2015 +0100

    Error from waitpid(): Fix Code is unreachable
    
    Change-Id: Ib93bd7d62eb16177cfdcb82148c97a64f6e497b4
    Reviewed-on: https://code.wireshark.org/review/11939
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5c49facc4f2a9a054258c5921bc68293d6eab3e4)
    Reviewed-on: https://code.wireshark.org/review/11948

commit aceaaa8
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Nov 18 08:48:50 2015 +0100

    Qt: Don't update expert icon without a capture file.
    
    We don't show the expert info icon when not having a capture file,
    so this should not be enabled when emitting redissectPackets().
    
    Change-Id: I6ae6124ed9f69c214a2beadbdc670b15dfe3d060
    Reviewed-on: https://code.wireshark.org/review/11937
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 73ee9178414e8d6bf7df3f508c407920c47359ee)
    Reviewed-on: https://code.wireshark.org/review/11942

commit 290601a
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Nov 18 00:11:28 2015 +0100

    Lua: Disable Reload Lua Plugins while reading file.
    
    Hide the menu item if built without Lua.
    
    Change-Id: I316cddd55064da590eb4167b495a7fb00a41581f
    Reviewed-on: https://code.wireshark.org/review/11931
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 13297438d98e3388d650fc55c2a77d5b52367e1f)
    Reviewed-on: https://code.wireshark.org/review/11936

commit f564801
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Nov 18 08:15:39 2015 +0100

    epan: Check for valid cf->edt before free.
    
    Added a check for a valid cf->edt before calling epan_dissect_free(),
    as this will give an unintended assert.
    
    This is related to da71ccbf778cca5d9c48e010597570a40fd190c0.
    
    Change-Id: I7f7ceb1b25cfa2400063947f674df10ed6a93e9d
    Reviewed-on: https://code.wireshark.org/review/11934
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 8c211d51ef66b64c708f7ad079e7e7e913ac9f14)
    Reviewed-on: https://code.wireshark.org/review/11935

commit a21709e
Author: Jo Rueschel <wireshark@rueschel.de>
Date:   Mon Nov 16 16:59:53 2015 +0100

    Export the value_string array ip_proto_val_ext for usage in plugins
    
    Until now, it is not possible to use the IANA-assigned protocol values in a Wireshark plugin.
    This commit exports them for use on Windows machines.
    
    As discussed on http://seclists.org/wireshark/2015/Nov/88
    
    Change-Id: I22adc33accf5d776bd3e5cc0899d3c5b9e9d531c
    Reviewed-on: https://code.wireshark.org/review/11874
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 92bb13a4d22a48c43aa5fa6910c68829edebfdd0)
    Reviewed-on: https://code.wireshark.org/review/11933

commit d92a5fa
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Nov 17 18:54:41 2015 +0100

    Fix crash in RTP Player on stop and close
    
    When dragging the UI, this somehow causes a great lag. Then by
    spam-clicking on the Stop button, a double free seems to occur.
    
    Fix this by moving the audio cleanup to the outputStateChanged callback
    as documented at https://doc.qt.io/qt-5/qaudiooutput.html. Note that
    calling stop() in the IdleState also triggers a change event, resulting
    in the desired cleanup.
    
    Stop streams before the dialog is closed (via accept/reject). This
    *cannot* be done in the destrutor of RtpPlayerDialog because destructing
    QAudioOutput processes events from the event queue, resulting in
    preature destruction of other objects... crash.
    
    Change-Id: I6bfb33c9396e9bc1ffd346519d22390a97b6bdaf
    Reviewed-on: https://code.wireshark.org/review/11894
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 0fef9d752f801986a81b7c294143eae21cd0de97)
    Reviewed-on: https://code.wireshark.org/review/11930

commit 804ee98
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Nov 17 12:33:47 2015 -0800

    CMake: Add Qt5Svg to PACKAGELIST.
    
    ...otherwise we won't copy it to ${CMAKE_BINARY_DIR}/run/Wireshark.app on
    OS X, which means our flag icons won't be displayed.
    
    Bug: 11697
    Change-Id: I26cd6a2dd13be35f9a80fd93adc8248848df5978
    Reviewed-on: https://code.wireshark.org/review/11923
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit e3eb9f32081dafd97e058bf292e130e511f33748)
    Reviewed-on: https://code.wireshark.org/review/11929

commit d7806f9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 17 14:34:45 2015 -0800

    Cleanups.
    
    Change-Id: I3c92214afa876d830733474da88e0b7e3cda237a
    Reviewed-on: https://code.wireshark.org/review/11927
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 52e95fb075aae84c321a5eb1ccc7338f9bf381cc)
    Reviewed-on: https://code.wireshark.org/review/11928

commit 5afff39
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Nov 17 11:47:56 2015 -0800

    Qt: Fixup the I/O Graph color menu width on Windows.
    
    Change-Id: I2032709fe62810a292121e8624a4b51f40070c36
    Reviewed-on: https://code.wireshark.org/review/11921
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit ec68330053267c6c368013f761d0cf7efe5a0cf3)
    Reviewed-on: https://code.wireshark.org/review/11926

commit 95b7675
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Nov 17 22:36:01 2015 +0100

    Lua: Do not deregister Listener in __gc.
    
    Listeners should not be deregistered in __gc because they will go out
    of scope while in use.  Instead free allocated data when deregistering
    the Listener (Listener.remove() and Reload Lua Plugins).
    
    Bug: 11722
    Change-Id: Iadf6506757df06e476ac3cac38c05f1d1d497dc4
    Reviewed-on: https://code.wireshark.org/review/11924
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 8383cb923b63535b46d52f00f430f784cbbb9014)
    Reviewed-on: https://code.wireshark.org/review/11925

commit 302265e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 16 17:13:23 2015 -0800

    Qt: Fix some flow graph issues.
    
    Make fillDiagram() a slot and call it after the dialog is visible.
    
    Use the activated() signals instead of currentIndexChanged() for our
    comboboxes. The former is only emitted as a result of user interaction
    and the latter is always emitted when the value changed. This was a
    problem for flowComboBox since initializing its value resulted an extra
    call to fillDiagram().
    
    Add a progress frame.
    
    Change-Id: I17bcf5c990363ee758be9e3a0604dde34fc34f2d
    Ping-Bug: 11710
    Reviewed-on: https://code.wireshark.org/review/11897
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 689334876ec12d5a037e5bb1fad3e0d023890049)
    Reviewed-on: https://code.wireshark.org/review/11919

commit e9a1d0f
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Nov 17 18:25:45 2015 +0100

    [Diameter] Add Diameter Overload Indication AVPs [RFC 7683]
    
    Change-Id: I003e5a9f770f14d6e18cc8df970d35a7ed4f03bb
    Reviewed-on: https://code.wireshark.org/review/11914
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 04f3f65ebd0b7f0e740c6d8b3711a73e5c5c53da)
    Reviewed-on: https://code.wireshark.org/review/11916

commit e6908ce
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 16 15:15:06 2015 -0800

    Qt: Fix Follow Dialog crash.
    
    Don't set WA_DeleteOnClose. This keeps the dialog from deleting itself
    when we're inside a nested event loop (i.e. when we're reassembling
    (TCP) or retapping (UDP or TLS)).
    
    Make sure our beginRetapPackets() and endRetapPackets() calls are
    balanced.  Move updateWidgets() calls to follow() so that we update on
    the first run.
    
    Bug: 11711
    Change-Id: Id585be410a315b914b27f1a116d451c863087b00
    Reviewed-on: https://code.wireshark.org/review/11892
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit a18f8c84cf4e8cd98a44ce3019d25fb48dc7b23e)
    Reviewed-on: https://code.wireshark.org/review/11915

commit 8a31ba6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Nov 17 11:32:01 2015 +0100

    extcap: fix a crash introduced in g622603b
    
    When using GTK UI, cfilter is initialized to NULL, not to an empty string.
    
    Change-Id: Ic9f3957d4de551a929578e76d5b9c63936517299
    Reviewed-on: https://code.wireshark.org/review/11910
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 9ba4c95b5590c5fa3d22f6089e216b79a5c00079)
    Reviewed-on: https://code.wireshark.org/review/11911

commit a4cb6f6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 16 16:27:34 2015 -0800

    Qt: Fix a merge crash.
    
    Update the logic in ui/qt/main_window.cpp:mergeCaptureFile to match
    ui/gtk/capture_file_dlg.c:file_merge_cmd. This ensures that we don't try
    to use a stale (and freed) read filter.
    
    Call cf_set_rfcode in both.
    
    Bug: 11718
    Change-Id: I6da65e428bff39e907f45992bac7337880c02ce9
    Reviewed-on: https://code.wireshark.org/review/11895
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 7518a74dbb32f941509a5dcabb5f74a3af14985d)
    Reviewed-on: https://code.wireshark.org/review/11909

commit e3b1aee
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 16 11:47:36 2015 -0800

    Win32: Try to fix handle leaks in capture_sync.
    
    If CreateProcess succeeds, close our child's primary thread handle. As
    the PROCESS_INFORMATION page at
    https://msdn.microsoft.com/en-us/library/windows/desktop/ms684873.aspx
    says,
    
        If the function succeeds, be sure to call the CloseHandle function
        to close the hProcess and hThread handles when you are finished with
        them. Otherwise, when the child process exits, the system cannot
        clean up the process structures for the child process because the
        parent process still has open handles to the child process.
    
    Closing the handle immediately doesn't seem to do any harm here, but
    add a note that we might want to store it and close it later.
    
    In sync_interface_stats_open, close our message and data descriptors
    after calling sync_pipe_wait_for_child.
    
    Ping-Bug: 11702
    Change-Id: I56e0625fdceb66fba822c2dc83e07d40844329a7
    Reviewed-on: https://code.wireshark.org/review/11882
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 527e032b800b11fe3e816659c542e3680981b34c)
    Reviewed-on: https://code.wireshark.org/review/11906

commit 1191636
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 16 12:23:17 2015 +0100

    Extcap: allow Wireshark to list extcap interfaces even when WinPcap / Npcap is not installed
    
    Bug: 11715
    Change-Id: I4a043c4a298506d51cb6bf8b97aac787113a7dfa
    Reviewed-on: https://code.wireshark.org/review/11869
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Guenter Ebermann <guenter.ebermann@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 167874a62bb8375eb07637d28e98ea45e497075f)
    Reviewed-on: https://code.wireshark.org/review/11905

commit 6c1836b
Author: Dario Lombardo <lomato@gmail.com>
Date:   Tue Nov 17 09:21:45 2015 +0100

    extcap: fix a bug in cfilter
    
    When no filter is specified, interface_opts.cfilter is not null but an empty string.
    
    Change-Id: I5755ab7dd840be28334768cf26999048441fcc4e
    Reviewed-on: https://code.wireshark.org/review/11907
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 622603b277043bca649e4a370af252bb4802181c)
    Reviewed-on: https://code.wireshark.org/review/11908

commit e7a37d4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 16 14:33:32 2015 -0800

    Create C handles for pipes before running dumpcap.
    
    If the C handles can't be created, there's no point in running dumpcap.
    
    Catch some more possible _open_osfhandle() failures while we're at it.
    
    Change-Id: I2b955378705fc932f8d383804e908e95a957be44
    Ping-Bug: 11702
    Reviewed-on: https://code.wireshark.org/review/11890
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 14c35c31d8e77f95abaa601c42566636197641e1)
    Reviewed-on: https://code.wireshark.org/review/11903

commit b51933d
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Nov 17 08:38:55 2015 +0100

    Qt: Removed obsolete comments.
    
    Change-Id: I7c0905b38a668a7a6dcaeee6ec16761c9b5c0a55
    Reviewed-on: https://code.wireshark.org/review/11901
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 2dc3b98cca40b9ed3268cb03cf7542c7615eed30)
    Reviewed-on: https://code.wireshark.org/review/11902

commit a289cb9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 16 11:05:24 2015 +0100

    Qt: avoid crash when use Go Next/Previous Conversation
    
    Only enable this menu when there is a packet
    
    Change-Id: I750f2af6e9f565afce83a5e84394cc96b3b071f9
    Reviewed-on: https://code.wireshark.org/review/11868
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit d3f68e576677d46426af398f5a66499ac3f99e46)
    Reviewed-on: https://code.wireshark.org/review/11900

commit 7a27de4
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Nov 16 21:33:17 2015 +0100

    Qt: setMenusForSelectedPacket when capture file is closed.
    
    Moved setMenusForSelectedPacket() to captureFileClosed() because
    capture_file_.capFile() is still valid in captureFileClosing().
    
    Menu items depending on is_ip, is_tcp, is_udp, is_sctp, is_ssl,
    is_rtp and is_lte_rlc must be disabled when closing the capture
    file because many of the dialogs does crash when launched without
    a valid frame selected.
    
    All dialogs should probably have a guard for this to avoid crashes,
    but that may be an exercise for an enhancement to add support for the
    dialogs to follow the current loaded capture file.
    
    Change-Id: If5837a355d08df76547572a25d46ffa539070de3
    Reviewed-on: https://code.wireshark.org/review/11883
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 062e5b3118de4c4658f4379d3e84f273e3976a97)
    Reviewed-on: https://code.wireshark.org/review/11899

commit 543d677
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 16 12:52:49 2015 -0800

    CMake: Add "C:/tools/cygwin" to FindCygwin.cmake.
    
    Add C:\tools\cygwin to the list of search paths in FindCygwin.cmake.
    This matches the behavior of config.nmake and is where Chocolatey
    installs Cygwin.
    
    Change-Id: I87a3cd64aae410b9c9abdc87c56d29aa3c4d5946
    Reviewed-on: https://code.wireshark.org/review/11885
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 9a7973770e19dca8ee455d60efb0b46c3bafef98)
    Reviewed-on: https://code.wireshark.org/review/11898

commit 4c38abd
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 16 15:55:01 2015 -0800

    Remove old, unused images.
    
    Change-Id: I25c3d4b7d346940c4885b3b11c26fd3415d7fca8
    Reviewed-on: https://code.wireshark.org/review/11893
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 1aeb3cb9897ce23b397f308d6c1886400c863e1b)
    Reviewed-on: https://code.wireshark.org/review/11896

commit 1530393
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 16 11:49:35 2015 -0800

    Catch failure of _open_osfhandle().
    
    This may at least prevent the crash in bug 11702, by not returning
    "success" with bogus file handles of -1, if the opens fail due to
    leaks chewing up all the available slots.  More investigation needs to
    be done to see why we're leaking.
    
    Change-Id: I89ecff4b03bca140f05c838e1e2604a03409f803
    Ping-Bug: 11702
    Reviewed-on: https://code.wireshark.org/review/11881
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9ec2cbb1c2f2917a9b9e149def8da8c072134524)
    Reviewed-on: https://code.wireshark.org/review/11888

commit e4da149
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 16 17:20:40 2015 +0100

    Qt: do not clear display filter when merging files
    
    The merge file dialog box contains a read filter, not a display filter.
    
    Bug: 11713
    Change-Id: Iff160e552e0440ea4c626d54d834d32f38dc54c2
    Reviewed-on: https://code.wireshark.org/review/11875
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 4224aab3453ab98c76d80bebae6301aa7c962fe3)
    Reviewed-on: https://code.wireshark.org/review/11884

commit 556cc71
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 16 11:17:45 2015 -0800

    For now, call the finish routine in Lua file writers "close".
    
    If we ever change the way file writers work, in a fashion incompatible
    with the existing way they work, we'll also rename this member - and get
    rid of checks for earlier versions of the Lua interface.
    
    Change-Id: I64065944fa31371f5249cafd930c18f180ad7299
    Reviewed-on: https://code.wireshark.org/review/11879
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 95fd55e56ba39b3b3b844a7ff65a418eced62ab2)
    Reviewed-on: https://code.wireshark.org/review/11880

commit 7777feb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 16 11:00:32 2015 -0800

    Label the filter in the file open dialog as a "read filter".
    
    This matches what the Windows file open dialog says, and also should
    help prevent people thinking that it's a display filter, so that you can
    clear it and see all the packets in the file.
    
    I leave translations to native speakers.
    
    Bug: 11708
    Change-Id: I060816357bf7958d516429d09708a7ce16d609c5
    Reviewed-on: https://code.wireshark.org/review/11877
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e9dd7c8bd42cbb25ca92dde3cee0383db6c20705)
    Reviewed-on: https://code.wireshark.org/review/11878

commit 401981d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Nov 13 14:02:55 2015 +0100

    Qt: deactivate save / close / reload buttons when rescanning a capture
    
    Bug: 11703
    Change-Id: I34f5c15c41ebbc62877945eabd3604ba90d5cf74
    Reviewed-on: https://code.wireshark.org/review/11804
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 92d487a461414c9b797130e5b845488164c984cd)
    Reviewed-on: https://code.wireshark.org/review/11876

commit 03a3896
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Nov 12 14:17:03 2015 -0500

    Don't include wireshark-gtk.desktop in RPMs.
    
    The RPMs use 'alternatives' to determine which GUI is used so it doesn't make
    sense to have 2 desktop entries: one for 'wireshark' (Qt or Gtk GUI, depending on
    configuration) and one for 'wireshark-gtk' (the Gtk GUI).
    
    (Maybe it makes sense to just not use 'alternatives' and allow the user to pick
    which GUI is used via the menu system.  But then if they wanted to run the Gtk+
    GUI from the command line they'd need to remember to run 'wireshark-gtk' even
    if that's the only GUI installed...)
    
    Change-Id: I9d3fe13bb01eab87caad4ad21c6571ef6288b110
    Reviewed-on: https://code.wireshark.org/review/11780
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit fc51af45e65b534fa52c5519e23a7250ada195be)
    Reviewed-on: https://code.wireshark.org/review/11873

commit 52b40aa
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 15 22:57:43 2015 +0100

    Qt: add a reference counter to sequence analysis info
    
    Increment the reference counter each time a flow sequence window is opened.
    Free seq_analysis_info_t structure once the last flow sequence / VoIP calls / SIP flow window is closed.
    
    Bug: 11712
    Change-Id: I20fcb922b0516417d4bd74cdf75475dcb31f8b90
    Reviewed-on: https://code.wireshark.org/review/11851
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 2773596970c362a6d81c7e44311781590074c43f)
    Reviewed-on: https://code.wireshark.org/review/11867

commit 95fe690
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Nov 5 11:14:21 2015 +0100

    ssl: add expert info for session resumption
    
    Add expert info to the Change Cipher Spec tree when session resumption
    is detected. This can be used as hint that decryption using a RSA key
    file will not succeed because of missing key material.
    
    The name of this expert info is "ssl.resumed" or "dtls.resumed" and the
    expert info message is "This session reuses previously negotiated keys
    (Session resumption)".
    
    Change-Id: I4a83edb13417631c97d6cfc4a57e2086bd217878
    Reviewed-on: https://code.wireshark.org/review/11583
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit e0cf8b6ccfdde4a256645979f39b2e46b92e963c)
    Reviewed-on: https://code.wireshark.org/review/11866
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 419c55e
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Oct 29 16:09:17 2015 +0100

    ssl-utils: add versions to ssl debug log
    
    Add Wireshark/GnuTLS/Libgcrypt versions to the debug log file. Remove
    ssl_lib_init since it didn't do anything useful (the debug file was not
    open yet so it would write... nothing).
    
    Match more (EC)DH(E) cipher suites and try to improve the message.
    
    Add the human-readable name besides numeric cipher suite IDs.
    
    Change-Id: I84a33d270f91e90efc55371475b231b483fd24c9
    Reviewed-on: https://code.wireshark.org/review/11403
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 07ceb2c6dc5167bc2fe8f1f000c3a3d64571396e)
    Reviewed-on: https://code.wireshark.org/review/11865
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 976d60c
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Nov 6 12:58:14 2015 +0100

    Revert "Override optimization and other flags for make based generators."
    
    Some compiler flags may not be passed twice (such as -mllvm
    -msan-keep-going), so avoid duplicating CMAKE_C(XX)_FLAGS.
    
    When -DCMAKE_BUILD_TYPE=<type> is set, you can override the default
    optimization and debug flags with -DCMAKE_C_FLAGS_<type>=....
    
    This reverts commit 15a238a28d0dbfffe908a6451e411a64a34da678.
    
    Change-Id: I4e1cf11c49eaf00ad4a2c430454a127b4be20d9e
    Reviewed-on: https://code.wireshark.org/review/11597
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 442314e8b2bdc4ea921bd7136aadb851652f4ce7)
    Reviewed-on: https://code.wireshark.org/review/11864

commit 4d3e818
Author: AdrianSimionov <daniel.simionov@gmail.com>
Date:   Sat Nov 14 20:18:36 2015 +0100

    [docsis->ucd] Add support for 6 new TLVs
    
    Change-Id: I65a40b1765f8433c47acbc34452d5336d7df84c1
    Reviewed-on: https://code.wireshark.org/review/11788
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 4dea5dbc90f87a0b4805fd566dae39e02957cc1c)
    Reviewed-on: https://code.wireshark.org/review/11863
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9a7077c
Author: AdrianSimionov <daniel.simionov@gmail.com>
Date:   Sun Nov 15 20:57:14 2015 +0100

    [docsis->ucd] Removed S-CDMA bursts and added expert
    
    UCD Type 2 is for TDMA/ATDMA, S-CDMA goes in UCD Type 29.
    More info:
    Table 8-19 from RFIv2.0-C02 for DOCSIS 2.0
    Table 6-25 from MULPIv3.1-I07 for DOCSIS 3.1
    
    The comment was removed because the Burst Descriptors below are
    not new anymore, are just Burst Descriptors like all the rest.
    
    Change-Id: I992a84c9bf0b999b9cec5bd44f2e584ef22ce401
    Reviewed-on: https://code.wireshark.org/review/11847
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 6c1ae95dc73585dba45c76c6eae33545cedfbedc)
    Reviewed-on: https://code.wireshark.org/review/11862

commit ac08883
Author: Jim Young <jyoung@gsu.edu>
Date:   Sun Nov 15 22:07:55 2015 -0500

    Qt iograph: Fix off-by-one, insure we plot the last interval.
    
    Bug: 11693
    Change-Id: I035eaf7ff049e3631714c112daa5adb29bb90470
    Reviewed-on: https://code.wireshark.org/review/11858
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9451e529c475fb8108c7bfe53ad229f32631f517)
    Reviewed-on: https://code.wireshark.org/review/11859

commit 3ba5160
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 15 12:21:41 2015 -0800

    Try retroactively applying the Qt folks' fix for QTBUG-47942.
    
    The current version of the fix only adds -fPIC under certain
    circumstances; we check whether it was added and, if it was, and those
    circumstances are *not* in effect, we remove it.
    
    Bug: 11643
    Change-Id: Ib806818a263141bd4ce042978d44941c20659ffe
    Reviewed-on: https://code.wireshark.org/review/11857
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0a065f0
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Nov 15 23:30:04 2015 +0100

    tcp: Indicate number of bits used for Flags.
    
    Change-Id: Iac003993e820e3ad5ecbe2c9322bce1957a14c25
    Reviewed-on: https://code.wireshark.org/review/11855
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 6012ba8f008bfba24fd44ce7a2a3055572453dce)
    Reviewed-on: https://code.wireshark.org/review/11856

commit 445c36c
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 14 12:33:12 2015 +0100

    tcp: Revert back to the old Flags entry.
    
    A similar issue was discussed and fixed for IP Flags in d051e79a
    (svn revision 33264).
    
    Change-Id: I532f51e813aee707b9573537cb8fbdb823158a61
    Reviewed-on: https://code.wireshark.org/review/11817
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 2db454361d4115caaf08b8c1df57f05ee1c0694e)
    Reviewed-on: https://code.wireshark.org/review/11854

commit 982cd3f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Nov 15 23:00:04 2015 +0100

    Lua: Fixed some argument # in argument errors.
    
    Change-Id: I1dba41c9f129d368096dd69a0f40fa2164311124
    Reviewed-on: https://code.wireshark.org/review/11852
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 561bcff0270106226bc8fb6ae49c54e407d06f46)
    Reviewed-on: https://code.wireshark.org/review/11853

commit 0f33924
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Nov 15 00:27:53 2015 +0100

    FindLUA.cmake: reject version 5.3
    
    Lua 5.3 could still be used when located at /usr/include/lua.h. Detect
    and reject it in that case.
    
    Rename LUA_VERSION to LUA_VERSION_NUM to avoid a conflict with
    pkg-config (which uses a different version format). Ensure that the
    regex matches a number only.
    
    Bug: 11706
    Change-Id: Idb7e3e1a8d9c6e4ab9ab1816c4dedea7de9dde8e
    Reviewed-on: https://code.wireshark.org/review/11836
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    (cherry picked from commit 67ad1de0d06128c9eda70adb3f172c8b7ff4d6b6)
    Reviewed-on: https://code.wireshark.org/review/11848
    Petri-Dish: Bill Meier <wmeier@newsguy.com>

commit 03da34b
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Nov 15 20:53:28 2015 +0100

    Lua: Check for nil valuestring for integer fields.
    
    Added a check for nil valuestring for all ProtoField integer types
    to avoid lookup when argument is not set.
    
    Change-Id: Ib4c016b69ee77dbea4bb83ac93c0d9ae9f48f236
    Reviewed-on: https://code.wireshark.org/review/11845
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit a8e774034b188662f29a41e3ff86ec96068bd025)
    Reviewed-on: https://code.wireshark.org/review/11846

commit 76a8009
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 14 22:29:32 2015 +0100

    Lua: Added support for ProtoField framenum type.
    
    Change-Id: I1d4cddd4026f08416005f2b3212536b3984d1a8d
    Reviewed-on: https://code.wireshark.org/review/11834
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit e6b5f015e219f3968897adba0d6440945ff45b8e)
    Reviewed-on: https://code.wireshark.org/review/11844

commit 5d41bb3
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Nov 13 15:34:56 2015 +0100

    udp: Don't mark zero checksum illegal when in_error_pkt.
    
    A zero checksum is not illegal in IPv6/UDP when in a ICMPv6 packet.
    
    Change-Id: I07acc874d2385992089ef3ebc7a82e853904ecfc
    Ping-Bug: 6232
    Reviewed-on: https://code.wireshark.org/review/11808
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 82bd3cc9eb49c886a1b6ff1ad0aa3be096bd8aec)
    Reviewed-on: https://code.wireshark.org/review/11843

commit df05544
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 15 08:16:52 2015 -0800

    [Automatic update for 2015-11-15]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Icec0d139c9c72bfd56751f75e0ccca38eaa8d9c6
    Reviewed-on: https://code.wireshark.org/review/11839
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b3fdc18
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 14 22:15:21 2015 +0100

    Lua: Disallow ProtoField FRAMENUM to fetch from Tvb.
    
    A ProtField type FRAMENUM cannot fetch value from a Tvb.
    
    Change-Id: Iff0f6df8b00445855c9030dcfa753daa62262171
    Reviewed-on: https://code.wireshark.org/review/11832
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 13101020e12eb21e8464a3c4eb4fc2fe51409235)
    Reviewed-on: https://code.wireshark.org/review/11833

commit b1d106a
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 14 19:03:03 2015 +0100

    Qt: Fixed use-of-deallocated-memory when removing a profile.
    
    The memory used for profile item data is accessed in updateWidgets() which
    is called when setting the Default profile as selected.  Ensure we free
    this memory after this has happened.
    
    Bug: 11705
    Change-Id: I79e12d918289e1fcf25331c39439e9c6f3b774d5
    Reviewed-on: https://code.wireshark.org/review/11827
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 9196fa96edc467b04b68e845eb735c97ed3c8d3a)
    Reviewed-on: https://code.wireshark.org/review/11828

commit 9505d3c
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Sat Nov 14 17:58:44 2015 +0100

    UDP Multicast Stats: Fixed typo
    
    Change-Id: I98d6ef48448b32f57349facb2bbef538319c5da4
    Reviewed-on: https://code.wireshark.org/review/11825
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 76dec3ba681da2c315efba4433d3b1f995defd91)
    Reviewed-on: https://code.wireshark.org/review/11826

commit 669275e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 14 13:24:29 2015 +0100

    p_mul: Fixed ack framenum links.
    
    The ack symbol is for the Address PDU beeing acked.
    Also use the DUP_ACK symbol for P_Mul's Ack-Ack.
    
    Change-Id: I3da616e95e9c2cf889b1e4e4c0570ab0c276a2d2
    Reviewed-on: https://code.wireshark.org/review/11819
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 20388ef1742efde4ba2bf5cf19814ac5192a6ffc)
    Reviewed-on: https://code.wireshark.org/review/11823
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 188db54
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 14 13:22:34 2015 +0100

    dmp: Fixed ack framenum links.
    
    The ack symbol is for the Message, Report or Notification beeing acked.
    
    Change-Id: I5ef99b9e7830f437278af18e681f8200fab6c3d4
    Reviewed-on: https://code.wireshark.org/review/11818
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 2e19755c3343d0a58f3d43709df262e4a0d4d8fd)
    Reviewed-on: https://code.wireshark.org/review/11822
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 156bd6f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Nov 13 16:41:36 2015 +0100

    Diameter: fix typo in dictionary
    
    Change-Id: I164ce634536ec1a3de650d815e23cdd6102e2fde
    Reviewed-on: https://code.wireshark.org/review/11809
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit b776707af540d7431e815818e21ea1efac326d9f)
    Reviewed-on: https://code.wireshark.org/review/11810

commit 25ec91a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 12 17:50:18 2015 +0100

    CMake: add our own FindCygwin module
    
    The one from official CMake (3.3.2) does not look for the default 64bits installation path. Let's add it.
    Also add a WIRESHARK_CYGWIN_INSTALL_PATH environment variable allowing to force it.
    For reference, registry based detection fails to detect a 64bits installation because it gets redirected to the Wow6432 node.
    
    Change-Id: If3172494e3ab232e094389b493e6b67023662ae5
    Reviewed-on: https://code.wireshark.org/review/11769
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    (cherry picked from commit 654d4abf71ea2fd69eacce57dd970f93e2deab46)
    Reviewed-on: https://code.wireshark.org/review/11807

commit 51d1065
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Nov 13 13:01:19 2015 +0100

    epan: Free cf->edt before free cf->epan when redissecting.
    
    This because cf->edt->pi is pointing to data allocated in
    wmem_file_scope and epan_free() will free all data in wmem_file_scope.
    
    In Qt packet_list_clear() we check and use cf->edt, which will give a
    heap-use-after-free error.
    
    Change-Id: I97d532ba976b7bc5fe2995a224ca168edf3da38b
    Reviewed-on: https://code.wireshark.org/review/11803
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit da71ccbf778cca5d9c48e010597570a40fd190c0)
    Reviewed-on: https://code.wireshark.org/review/11806

commit 7c194e7
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Nov 12 08:35:34 2015 -0800

    Qt: Add go to next + previous packet in conversation.
    
    Add "Go→Next Packet in Conversation" and "Go→Previous Packet in
    Conversation" menu items. Make sure the shortucts ("Ctrl+." and
    "Ctrl+,") don't get switched to "Cmd+." and "Cmd+," on OS X. "Cmd+," is
    already taken by the preferences dialog.
    
    Change-Id: Iab9c7f60fdcf55f12c055b4d0948019bf667ebc9
    Reviewed-on: https://code.wireshark.org/review/11771
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 661c9771f6ffeeda4b2ba278a9f15d1d14dbe525)
    Reviewed-on: https://code.wireshark.org/review/11800

commit 60aeed1
Author: Branislav Makan <branislav.makan1994@gmail.com>
Date:   Fri Nov 13 10:44:02 2015 +0100

    Diameter dictionary updated.
    
    Added values for diameter AVP codes:
    1085 Redirect-Information Grouped
    1086 Redirect- Support Enumerated
    1087 TDF-Information Grouped
    1088 TDF-Application-Identifier OctetString
    1089 TDF-Destination-Host DiameterIdentity
    1090 TDF-Destination-Realm DiameterIdentity
    
    Change-Id: I8ba7a56a5a51b32a21a602751275e9ab254adbae
    Reviewed-on: https://code.wireshark.org/review/11802
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8589c91
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Nov 13 09:28:21 2015 +0100

    p_mul: Enhance ack framenum links.
    
    Change-Id: I084b43fcd8419741c2de007bd03fc04532346813
    Reviewed-on: https://code.wireshark.org/review/11797
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit acbf7d57253f4dc4206e3d67c0c56f6e28da6796)
    Reviewed-on: https://code.wireshark.org/review/11799

commit d21bd22
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Nov 13 09:27:17 2015 +0100

    dmp: Enhance ack framenum links.
    
    Change-Id: Iade2d06512bacbeff3e7446487a03d4f73dba721
    Reviewed-on: https://code.wireshark.org/review/11796
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 89879ef9f9d1d89a3253b96c7c2b6ea606bbc851)
    Reviewed-on: https://code.wireshark.org/review/11798

commit 29fe1de
Author: AdrianSimionov <daniel.simionov@gmail.com>
Date:   Thu Nov 12 20:58:10 2015 +0100

    [docsis] Support for Queue Depth-based Request Frame
    
    Change-Id: Ieeb79e4e248bdd8ee239c003e41ede0955e1cf86
    Reviewed-on: https://code.wireshark.org/review/11766
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 91290f7b6cf14dc3e40fc74712c212ae5eb75b7c)
    Reviewed-on: https://code.wireshark.org/review/11795

commit 48565e3
Author: Gerald Combs <gerald@zing.org>
Date:   Thu Nov 12 17:39:39 2015 -0800

    Diameter: Expand an error message.
    
    If we encounter the wrong ftype, print its name.
    
    Change-Id: I7405ccdd3e099f533c6a8aaf81b60faf4093741a
    Reviewed-on: https://code.wireshark.org/review/11790
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit b01cd398f9efdff485e1658265a1c2046d6c0b94)
    Reviewed-on: https://code.wireshark.org/review/11794

commit 65d8606
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 12 21:41:10 2015 +0100

    Qt: fix creation of a new profile broken by g328fbc0
    
    Change-Id: Icbe8dbf6f0c4267d7ed4704f78e589a1a48e1424
    Reviewed-on: https://code.wireshark.org/review/11783
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit aa94bbedfe92b040f528192dd66be085a1bbacc1)
    Reviewed-on: https://code.wireshark.org/review/11793

commit 7dcfb52
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Nov 12 19:48:05 2015 +0100

    Qt: Fixed signal name to avoid a warning.
    
    Also terminate stream lines with endl.
    
    Change-Id: Icbbe5b47695506888c03607ff0af66c59306faae
    Reviewed-on: https://code.wireshark.org/review/11778
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 1b6bf766046aca882deb7f1b9f30f25ffcb3636a)
    Reviewed-on: https://code.wireshark.org/review/11792

commit 0554c2f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Nov 12 11:50:01 2015 -0800

    Qt: Coloring Rules dialog fixups.
    
    Insert new rules at the top. This matches the GTK+ UI behavior. Recolor
    the packet list when we press "OK". Add a "to do" item about setting the
    filter column width.
    
    Change-Id: I2a9e58fe8642a89f12e1c34622b96613f3ec4c05
    Reviewed-on: https://code.wireshark.org/review/11781
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit f5d7548497eb63ebe010e5199038ef2300bf95aa)
    Reviewed-on: https://code.wireshark.org/review/11791

commit 5cf57a8
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 12 23:53:55 2015 +0100

    Qt: fix UI artifacts seen in UAT window on Linux or OSX
    
    The QLabel::clear() method call does not seem to repaint the area on those platforms.
    Let's force an update of the widget.
    
    Bug: 11695
    Change-Id: I9c708c8537140b26582e4365ceee3271eac23259
    Reviewed-on: https://code.wireshark.org/review/11782
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 9fe7102b3a1bc72ac9921019938be71312b26b78)
    Reviewed-on: https://code.wireshark.org/review/11789
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit cfa5dca
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 12 21:48:00 2015 +0100

    Developer guide: add docbook-xml45 to the list of required Cygwin packages
    
    Change-Id: Id0a241361160b03c16a6a9152c8f1a86f87b9db1
    Reviewed-on: https://code.wireshark.org/review/11784
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 7775b4898780299652ceab10d8022d9df683c723)
    Reviewed-on: https://code.wireshark.org/review/11785

commit 508bf9b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Nov 12 09:44:47 2015 -0800

    Fix installation of desktop files.
    
    Change-Id: I33ed9741db9a50098b8c7c85409f3e6a0c2e2f15
    Reviewed-on: https://code.wireshark.org/review/11772
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit db02f99fdb6bbeb7ad872bbf836138ca3992ae7a)
    Reviewed-on: https://code.wireshark.org/review/11773

commit 832daf4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 12 15:40:57 2015 +0100

    Qt: initialize all remote interface options
    
    Bug: 11699
    Bug: 11701
    Change-Id: Ib470e69bba015a006f9360cfdb429a816b80e37c
    Reviewed-on: https://code.wireshark.org/review/11767
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 2ff3c750e9a01248dcc038ca1c45df91625ab52d)
    Reviewed-on: https://code.wireshark.org/review/11768

commit 295397b
Author: DiablosOffens <DiablosOffens@gmx.de>
Date:   Wed Nov 11 14:09:43 2015 +0100

    [IMF] Add bounds checks to avoid buffer overruns,
    also sets the last_field flag to true if it's the end of the buffer.
    
    Change-Id: I135d052fce04807ce61b5feb9af121ff4528f595
    Reviewed-on: https://code.wireshark.org/review/11731
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 56c1e80508f73b244c12b537223e777a253395f7)
    Reviewed-on: https://code.wireshark.org/review/11765

commit 2309a2d
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Nov 11 12:49:17 2015 -0500

    Fix up documentation of RPM packages.
    
    Specify which ./configure options are passed into the RPM.
    
    Describe the 3 package RPM package names and their contents.
    
    Describe how to enable parallel builds when making RPMs.
    
    RPM now stands for "RPM Package Manager."
    
    Fix some markup problems.
    
    Change-Id: I1664aa0956719e872d302a4af2c092318f5eea6d
    Reviewed-on: https://code.wireshark.org/review/11737
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 1ab019f409f2855d3b51717a237cc482242887e9)
    Reviewed-on: https://code.wireshark.org/review/11761

commit 5e702ec
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Nov 11 23:24:28 2015 +0100

    Qt: save preferences after creating a filter from expression frame
    
    Bug: 11690
    Change-Id: Ice6a2341d3f39c107a3c9d6a0e23fd98312b48a8
    Reviewed-on: https://code.wireshark.org/review/11748
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit c712d65e919cea6fde7b95ffd4a821c137d84703)
    Reviewed-on: https://code.wireshark.org/review/11760

commit 9d4ab78
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Nov 11 15:05:33 2015 +0100

    Qt: Added IO Graph save to clipboard button.
    
    Also added save as CSV file.
    Do not add double quotes for values as we do in GTK.
    
    Change-Id: I8576a73e10b71cdba0c8c80db8b21927d19528da
    Reviewed-on: https://code.wireshark.org/review/11732
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Jim Young <jim.young.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 864872ed618e3c2853728f872cce6cf6282c617d)
    Reviewed-on: https://code.wireshark.org/review/11759

commit aed1269
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 11 22:29:20 2015 -0800

    Use format_text() when displaying, not when handing to AirPDcap.
    
    format_text() is specifically intended to handle strings when displaying
    them to the user; code such as AirPDCap, which doesn't display strings
    to the user, should be handed the raw SSID.
    
    Put in a comment indicating what we probably *should* be doing here.
    
    Bug: 11685
    
    Change-Id: Ic30114c35d1d8f3d791ae904e33a4d81ddc215ec
    Reviewed-on: https://code.wireshark.org/review/11757
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e240ad882bc1e133e76b8308a76884d12b265253)
    Reviewed-on: https://code.wireshark.org/review/11758

commit fecd0f6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 9 12:18:20 2015 +0100

    802.11: avoid multi return on SSID or MESHID
    
    Bug:11685
    Change-Id: Ibe7a2909f0aed33fa35685ac5c8e0e1a8a626742
    Reviewed-on: https://code.wireshark.org/review/11652
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Jim Young <jim.young.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 50e83c0e79efe69eb71a6645b67e761e263e44d6)
    Reviewed-on: https://code.wireshark.org/review/11756

commit dccdc70
Author: Jo Rueschel <wireshark@rueschel.de>
Date:   Wed Nov 11 13:15:16 2015 +0100

    Export functions str_to_ip() and str_to_ip6() to plugins
    
    The functions str_to_ip() and str_to_ip6() are not yet exposed to plugins so
    they cannot be used there.
    Now they are added to the plugin API.
    
    Change-Id: I9df267934ad43887a6326c8c9a1a666f263c08a2
    Reviewed-on: https://code.wireshark.org/review/11728
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 09f43c196e2c642e736b77f0a0fec924be096b7d)
    Reviewed-on: https://code.wireshark.org/review/11755

commit 726a84b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 11 17:48:14 2015 -0800

    Plug file descriptor leak.
    
    Change-Id: I882cc5c264fdf97452c84bd5cea0e5d56bd6eb45
    Reviewed-on: https://code.wireshark.org/review/11753
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 412ab838d2866e74c64a79b5a8959d85dc35a6f3)
    Reviewed-on: https://code.wireshark.org/review/11754

commit 05e9f0c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 11 16:59:10 2015 -0800

    Add wtap_dump_open_tempfile routines, to write to a temporary file.
    
    It includes the temporary-file generation, so you don't have to do it
    yourself.
    
    Change-Id: I0798df95a5c5646224ec49612f50b423ed78547a
    Reviewed-on: https://code.wireshark.org/review/11751
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 75dc2051e861294a0e75955e896de7494f086b42)
    Reviewed-on: https://code.wireshark.org/review/11752

commit 52302cf
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Nov 11 16:06:00 2015 -0800

    2.0.0rc3 → 2.0.0rc4.
    
    Change-Id: I15153b2ee5e584a48a52bf852610da1831a5b1af
    Reviewed-on: https://code.wireshark.org/review/11750
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
